
package de.ivu.elect.presentation.gebietsbaum.menu;

import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.entity.GebietsarteigenschaftMeta;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractGebietsarteigenschaftMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private GebietsarteigenschaftMeta meta;

  public AbstractGebietsarteigenschaftMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(getUseCasePermission());
  }

  protected abstract UseCasePermission getUseCasePermission();

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  protected GebietsarteigenschaftMeta getMeta() {
    return meta;
  }
}
